Index: funcs/func_channel.c
===================================================================
--- funcs/func_channel.c	(revision 379607)
+++ funcs/func_channel.c	(working copy)
@@ -203,6 +203,7 @@
 					<enum name="rtpqos">
 						<para>R/O Get QOS information about the RTP stream</para>
 						<para>    This option takes two additional arguments:</para>
+						<para>    If no arguements given defaults to <literal>audio</literal> and <literal>all</literal>.</para>
 						<para>    Argument 1:</para>
 						<para>     <literal>audio</literal>             Get data about the audio stream</para>
 						<para>     <literal>video</literal>             Get data about the video stream</para>
@@ -234,21 +235,46 @@
 					</enum>
 					<enum name="rtpdest">
 						<para>R/O Get remote RTP destination information.</para>
+						<para>   This option takes one additional arguments:</para>
+						<para>	 Defaults to <literal>audio</literal> if unspecified.</para>
+						<para>    Argument 1:</para>
+						<para>     <literal>audio</literal>             Get audio destination</para>
+						<para>     <literal>video</literal>             Get video destination</para>
+						<para>     <literal>text</literal>              Get text destination</para>
+					</enum>
+					<enum name="rtpsource">
+						<para>R/O Get source RTP destination information.</para>
 						<para>   This option takes one additional argument:</para>
+						<para>	 Defaults to <literal>audio</literal> if unspecified.</para>
 						<para>    Argument 1:</para>
 						<para>     <literal>audio</literal>             Get audio destination</para>
 						<para>     <literal>video</literal>             Get video destination</para>
 						<para>     <literal>text</literal>              Get text destination</para>
 					</enum>
+					<enum name="secure_signaling">
+						<para>R/O Get if peer is using TLS for signaling.</para>
+					</enum>
+					<enum name="secure_media">
+						<para>R/O Get if the peer is using TLS for media.</para>
+					</enum>
 				</enumlist>
 				<para><emphasis>chan_iax2</emphasis> provides the following additional options:</para>
 				<enumlist>
+					<enum name="osptoken">
+						<para>R/O Get the peer's osptoken.</para>
+					</enum>
 					<enum name="peerip">
 						<para>R/O Get the peer's ip address.</para>
 					</enum>
 					<enum name="peername">
 						<para>R/O Get the peer's username.</para>
 					</enum>
+					<enum name="secure_signaling">
+						<para>R/O Get the if the IAX channel is secured.</para>
+					</enum>
+					<enum name="secure_media">
+						<para>R/O Get the if the IAX channel is secured.</para>
+					</enum>
 				</enumlist>
 				<para><emphasis>chan_dahdi</emphasis> provides the following additional options:</para>
 				<enumlist>
@@ -306,18 +332,36 @@
 				<para><emphasis>chan_ooh323</emphasis> provides the following additional options:</para>
 				<enumlist>
 					<enum name="faxdetect">
-						<para>Fax Detect [R/W]</para>
+						<para>R/W Fax Detect</para>
 						<para>Returns 0 or 1</para>
 						<para>Write yes or no</para>
 					</enum>
 					<enum name="t38support">
-						<para>t38support [R/W]</para>
+						<para>R/W t38support</para>
 						<para>Returns 0 or 1</para>
 						<para>Write yes or no</para>
 					</enum>
-					<enum name="h323id">
-						<para>Returns h323id [R]</para>
+					<enum name="h323id_url">
+						<para>R/0 Returns caller URL</para>
 					</enum>
+					<enum name="caller_h323id">
+						<para>R/0 Returns caller h323id</para>
+					</enum>
+					<enum name="caller_dialeddigits">
+						<para>R/0 Returns caller dialed digits</para>
+					</enum>
+					<enum name="caller_email">
+						<para>R/0 Returns caller email</para>
+					</enum>
+					<enum name="callee_email">
+						<para>R/0 Returns callee email</para>
+					</enum>
+					<enum name="callee_dialeddigits">
+						<para>R/0 Returns callee dialed digits</para>
+					</enum>
+					<enum name="caller_url">
+						<para>R/0 Returns caller URL</para>
+					</enum>
 				</enumlist>
 			</parameter>
 		</syntax>
